%global debug_package %{nil}

Name: calculix-ccx
Version: 2.22
Release: 1%{?dist}
Summary: CalculiX is a package designed to solve field problems. The method used is the finite element method.

License: GNU GPL v2
URL: http://www.calculix.de/
Source0: http://www.dhondt.de/ccx_%{version}.src.tar.bz2
Patch0: calculix-deps.patch

BuildRequires: spooles-devel
BuildRequires: lapack-devel
BuildRequires: blas-devel
BuildRequires: arpack-devel

%description
CalculiX is a package designed to solve field problems. The method used is the
finite element method.

With CalculiX Finite Element Models can be build, calculated and
post-processed. The pre- and post-processor is an interactive 3D-tool using the
openGL API. The solver is able to do linear and non-linear calculations.
Static, dynamic and thermal solutions are available. Both programs can be used
independently. Because the solver makes use of the abaqus input format it is
possible to use commercial pre-processors as well. In turn the pre-processor is
able to write mesh related data for nastran, abaqus, ansys, code-aster and for
the free-cfd codes dolfyn, duns, ISAAC and OpenFOAM. A simple step reader is
included. In addition external CAD interfaces like vda_to_fbd are available.
The program is designed to run on Unix platforms like Linux and Irix computers
but also on MS-Windows.

The CalculiX package was developed by a team of enthusiasts in their raw spare
time. They are employees of MTU Aero Engines in Munich, Germany which granted
the publication. Contact information can be found at the bottom of the
"Download" page.

%prep
%autosetup -n CalculiX/ccx_%{version} -p0

%build
pushd src
%make_build
popd

%install
pushd src
mkdir -p %{buildroot}%{_bindir}
cp ccx_%{version} %{buildroot}%{_bindir}
ln -s ccx_%{version} %{buildroot}%{_bindir}/ccx
popd

%check

%files
%{_bindir}/ccx_%{version}
%{_bindir}/ccx
%license
%doc

%changelog

